package ink.wgink.module.activiti.pojo.bos.oa;

import ink.wgink.module.activiti.pojo.vos.oa.OaDocNoVO;
import ink.wgink.module.activiti.pojo.vos.oa.OaFormReportRecordFieldVO;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: OaFormReportUnWantedFieldBO
 * @Description: OA表单上报不需要的值
 * @Author: wanggeng
 * @Date: 2022/4/25 15:48
 * @Version: 1.0
 */
public class OaFormReportUnWantedValueBO {

    /**
     * 代理人列表
     */
    private List<String> assignees;
    /**
     * 选择类型
     */
    private String selectType;
    /**
     * 下个节点是否是结束事件
     */
    private Boolean isNextEndEvent;
    /**
     * 互斥网关条件（按钮条件）
     */
    private String exc;
    /**
     * 需要记录的字段列表
     */
    private List<OaFormReportRecordFieldVO> recordFields;
    /**
     * 抄送列表
     */
    private List<String> ccs;
    /**
     * 文号列表
     */
    private List<OaDocNoVO> oaDocNos;

    public List<String> getAssignees() {
        return assignees == null ? new ArrayList() : assignees;
    }

    public void setAssignees(List<String> assignees) {
        this.assignees = assignees;
    }

    public String getSelectType() {
        return selectType == null ? "" : selectType.trim();
    }

    public void setSelectType(String selectType) {
        this.selectType = selectType;
    }

    public Boolean getNextEndEvent() {
        return isNextEndEvent;
    }

    public void setNextEndEvent(Boolean nextEndEvent) {
        isNextEndEvent = nextEndEvent;
    }

    public String getExc() {
        return exc == null ? "" : exc.trim();
    }

    public void setExc(String exc) {
        this.exc = exc;
    }

    public List<OaFormReportRecordFieldVO> getRecordFields() {
        return recordFields == null ? new ArrayList() : recordFields;
    }

    public void setRecordFields(List<OaFormReportRecordFieldVO> recordFields) {
        this.recordFields = recordFields;
    }

    public List<String> getCcs() {
        return ccs == null ? new ArrayList() : ccs;
    }

    public void setCcs(List<String> ccs) {
        this.ccs = ccs;
    }

    public List<OaDocNoVO> getOaDocNos() {
        return oaDocNos == null ? new ArrayList() : oaDocNos;
    }

    public void setOaDocNos(List<OaDocNoVO> oaDocNos) {
        this.oaDocNos = oaDocNos;
    }
}
